Skip to content

Subscriptions

All operations require authentication.

8 operationsv1/saas/csp2
Agent setup

List subscriptionsAlpha

GET
/1.0/saas/csp2/{serviceName}/subscription

Returns the IDs of the subscriptions of the tenant.

Path parameters

serviceName
required
string

Service name

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a subscriptionAlpha

GET
/1.0/saas/csp2/{serviceName}/subscription/{id}

Returns the license ID, number of licenses, status, and creation and last update dates of the subscription.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200OfficeSubscriptionsuccessful operation
creationDate
read-only
stringdate-time

Creation date

id
read-only
integer

Subscription's unique identifier

lastUpdate
read-only
stringdate-time

Last update date

licenseId
read-only
integer

License's type id

quantity
read-only
integer

Number of available licenses

status
read-only
string

Subscription's status

taskPendingId
read-only
integer

Pending task's unique identifier

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/subscription/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "licenseId": 0, "quantity": 0, "status": "string", "taskPendingId": 0}

Create a subscriptionAlpha

POST
/1.0/saas/csp2/{serviceName}/subscription

Creates a subscription for quantity licenses of the license licenseId, and returns the task. Get the license IDs from orderableLicenses.

Path parameters

serviceName
required
string

Service name

Request body (required)

licenseId
required
integer

License's type unique identifier

quantity
required
integer

Quantity of licenses to order

Response

200OfficeTasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Unique identifier of the task

status
read-only
TaskStatusEnum

Task state

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Delete a subscriptionAlpha

DELETE
/1.0/saas/csp2/{serviceName}/subscription/{id}

Deletes the subscription from the tenant and returns the task.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200OfficeTasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Unique identifier of the task

status
read-only
TaskStatusEnum

Task state

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/subscription/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List add-on subscriptionsAlpha

GET
/1.0/saas/csp2/{serviceName}/subscription/{id}/addonsSubscriptionIds

Returns the IDs of the add-on subscriptions attached to the subscription.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200integer[]successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/subscription/{id}/addonsSubscriptionIds \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

List available add-on licensesAlpha

GET
/1.0/saas/csp2/{serviceName}/subscription/{id}/availableAddonLicenses

Returns the IDs of the licenses that can be ordered as an add-on for the subscription.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200integer[]successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/subscription/{id}/availableAddonLicenses \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Change a subscription quantityAlpha

POST
/1.0/saas/csp2/{serviceName}/subscription/{id}/changeQuantity

Sets the number of seats of the subscription to quantity, and returns the task.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Request body (required)

quantity
required
integer

New seat quantity

Response

200OfficeTasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Unique identifier of the task

status
read-only
TaskStatusEnum

Task state

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/subscription/{id}/changeQuantity \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Order an add-on subscriptionAlpha

POST
/1.0/saas/csp2/{serviceName}/subscription/{id}/orderAddon

Creates an add-on subscription for the subscription, with quantity seats of the license licenseId, and returns the task. Get the license IDs from availableAddonLicenses.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Request body (required)

licenseId
required
integer

License id associated to this addon subscription (see subscription//availableAddonLicenses)

quantity
required
integer

Seat quantity of the new subscription

Response

200OfficeTasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Unique identifier of the task

status
read-only
TaskStatusEnum

Task state

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/subscription/{id}/orderAddon \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}